<?php
/*
===========================注册模块控制器
*/
class cls_tab_hr_meet_join extends cls_base_table
{
	private $perms;
	//构造函数
	function __construct()
	{
		parent::__construct();
		global $obj_db;
		$this->obj_db=$obj_db;
	}
	function __get($name){
		if(isset($this->perms["$name"])){
			return $this->perms["$name"];
		}
	}
	function __set($name,$value){
		if(isset($this->perms["$name"])){
			$this->perms["$name"]=$value;
		}else{
		}
	}
	//保存
	function on_save($arr_fields)
	{
		$arr_return=array("err"=>"","id"=>0);
		(!isset($arr_fields["join_id"]))? $arr_fields["join_id"]=0:$arr_fields["join_id"]=intval($arr_fields["join_id"]);
		//保存操作
		$lng_id=$arr_fields["join_id"];
		unset($arr_fields["join_id"]);//释放id
		$arr_fields["join_updatetime"]=TIME;
		if($lng_id<1){
			$arr_fields["join_addtime"]=TIME;
			$arr_return=self::_insert($arr_fields);
		}else{
			$str_where="join_id='".$lng_id."'";
			$arr_return=self::_update($arr_fields,$str_where);
			$arr_return["id"]=$lng_id;
		}
		return $arr_return;
	}
	//添加
	private function _insert($arr_fields)
	{
		$arr_return=array("err"=>"","id"=>0);
		if(!isset($arr_fields["join_company_id"])||empty($arr_fields["join_company_id"])){
			$arr_return["err"]="只有企业才能参加";
			return $arr_return;
		}
		if(!isset($arr_fields["join_meet_id"])||empty($arr_fields["join_meet_id"])){
			$arr_return["err"]="请选择要参加的招聘会";
			return $arr_return;
		}
		global $obj_db;
		$obj_rs=$obj_db->get_one("select count(1) as num from ".DB_PRE."hr_meet_join where join_meet_id='".$arr_fields["join_meet_id"]."' and join_company_id='".$arr_fields["join_company_id"]."'");
		if($obj_rs["num"]>0){
			$arr_return["err"]="你已经报过名了";
			return $arr_return;
		}
		$arr_return=parent::on_insert(DB_PRE."hr_meet_join",$arr_fields);
		if($arr_return["err"]==""){
			self::_update_meet_num($arr_fields["join_meet_id"]);
		}
		return $arr_return;
	}
	private function _update_meet_num($meet_id){
		global $obj_db;
		$obj_rs=$obj_db->get_one("select count(1) as num from ".DB_PRE."hr_meet_join where join_meet_id='".$meet_id."'");
		$arr_msg=$obj_db->execute("update ".DB_PRE."hr_meet set meet_join_num=".$obj_rs["num"]." where meet_id='".$meet_id."'");
	}
	//修改
	private function _update($arr_fields,$msg_where)
	{
		$arr_return=array("err"=>"","id"=>0);
		$arr_return=parent::on_update(DB_PRE."hr_meet_join",$arr_fields,$msg_where);
		return $arr_return;
	}
	//删除
	function on_del($arr_id)
	{
		$arr_return=array("err"=>"");
		$str_id=get_arr_id($arr_id);
		if($str_id==""){
			$arr_return["err"]="没有指定要删除的记录！";
			return $arr_return;
		}
		$arr_meet_id=array();
		$obj_result=$obj_db->query("select join_meet_id from ".DB_PRE."hr_meet_join where join _id in(".$str_id.")");
		while($obj_rs=$obj_db->fetch_array($obj_result)){
			$arr_meet_id[]=$obj_rs["join_meet_id"];
		}
		$arr_meet_id=array_unique($arr_meet_id);
		$arr_return=parent::on_del(DB_PRE."hr_meet_join","join_id in(".$str_id.")");
		foreach($arr_meet_id as $item){
			self::_update_meet_num($item);
		}
		return $arr_return;
	}
}
?>
